Bug 861517 - [abrt] nepomuk-core-4.9.1-1.fc17: QObject::~QObject: Process /usr/bin/nepomukservicestub was killed by signal 11 (SIGSEGV)
[abrt] nepomuk-core-4.9.1-1.fc17: QObject::~QObject: Process /usr/bin/nepomuk...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nepomuk-core (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
abrt_hash:6abac3ff4f793402fc8eb12e305...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 17:55 EDT by jjcasanova
Modified: 2013-07-31 23:32 EDT (History)
106 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.80 KB, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: open_fds (218 bytes, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: build_ids (4.64 KB, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: maps (51.25 KB, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details
File: backtrace (23.51 KB, text/plain)
2012-09-28 17:55 EDT, jjcasanova
no flags Details

  None (edit)
Description jjcasanova 2012-09-28 17:55:42 EDT
Version-Release number of selected component:
nepomuk-core-4.9.1-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/nepomukservicestub nepomukstorage
crash_function: QObject::~QObject
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #1 QObject::~QObject at kernel/qobject.cpp:854
: #3 signalHandler at /usr/src/debug/nepomuk-core-4.9.1/servicestub/main.cpp:51
: #4 (anonymous namespace)::signalHandler at /usr/src/debug/nepomuk-core-4.9.1/servicestub/main.cpp:45
: #6 select at ../sysdeps/unix/syscall-template.S:82
: #7 qt_safe_select at kernel/qcore_unix.cpp:93
: #8 select_msecs at io/qprocess_unix.cpp:1003
: #9 QProcessPrivate::waitForFinished at io/qprocess_unix.cpp:1219
: #10 QProcess::waitForFinished at io/qprocess.cpp:1759
: #11 Soprano::VirtuosoController::shutdown at /usr/src/debug/soprano-2.8.0/backends/virtuoso/virtuosocontroller.cpp:219
: #12 Soprano::VirtuosoController::~VirtuosoController at /usr/src/debug/soprano-2.8.0/backends/virtuoso/virtuosocontroller.cpp:89
Comment 1 jjcasanova 2012-09-28 17:55:45 EDT
Created attachment 618768 [details]
File: environ
Comment 2 jjcasanova 2012-09-28 17:55:47 EDT
Created attachment 618769 [details]
File: open_fds
Comment 3 jjcasanova 2012-09-28 17:55:49 EDT
Created attachment 618770 [details]
File: build_ids
Comment 4 jjcasanova 2012-09-28 17:55:51 EDT
Created attachment 618771 [details]
File: cgroup
Comment 5 jjcasanova 2012-09-28 17:55:54 EDT
Created attachment 618772 [details]
File: maps
Comment 6 jjcasanova 2012-09-28 17:55:56 EDT
Created attachment 618773 [details]
File: limits
Comment 7 jjcasanova 2012-09-28 17:55:59 EDT
Created attachment 618774 [details]
File: backtrace
Comment 8 Terre Porter 2012-09-30 14:58:42 EDT
Added udev esata rule 

DEVPATH=="/devices/pci0000:00/0000:00:11.0/ata3/host2/*" ENV{UDISKS_SYSTEM_INTERNAL}="0"

system did a update of kernel and some other package

Sep 30 13:57:49 Updated: 1:telepathy-mission-control-5.12.3-1.fc17.x86_64
Sep 30 13:57:53 Installed: kernel-3.5.4-2.fc17.x86_64

It wanted to reboot... so did I, to test the udev rule... rebooted on the new kernel

Drive was detected on kde desktop load, offered option to mount and open with a few apps, so i clicked mount.

Drive was mounted and then the error occured shortly after that time - dont know if it was related as i dont know what the error is referering to.

Just thought i'd send in the report since it asked me to.


backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 wozniang 2012-10-01 13:19:10 EDT
I don't know what caused this problem. It appear just after starting system

backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Weonjong Lee 2012-10-04 00:36:47 EDT
I do not know how it happened.

backtrace_rating: 4
Package: nepomuk-core-4.9.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 error23 2012-10-07 02:14:30 EDT
au demarage

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 augustinus354 2012-10-09 04:53:19 EDT
The failure of nepomuk at startup has happened randomly 
already with Fedora 16. There is no systematics to reproduce
the segfault.


backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Anouar Bellakha 2012-10-09 10:59:57 EDT
Cet incident set survenu aprés le lancement de kde.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Kevin Kofler 2012-10-09 11:09:07 EDT
Try nepomuk-core-4.9.2-5.fc17 from updates-testing (FEDORA-2012-15420), does that help?
Comment 15 Tomas Toth 2012-10-10 04:16:15 EDT
It happend during shutdown.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 vafr 2012-10-10 14:18:57 EDT
directly after logging in after reboot / kernel upgrade 

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Nick H. 2012-10-10 20:30:12 EDT
Sometimes , Nepomuk will trigger ABRT. When it does happens, it happens on startup. For instance, after the recent update, Nepomuk triggered ABRT. I don't know much other than Nepomuk apparently does not trigger ABRT periodically.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Stephen F. Hess 2012-10-20 08:55:39 EDT
1) power-on/boot
2) login to KDE desktop
3) received notification from the bug reporting tool


backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Nick H. 2012-10-20 09:17:15 EDT
(In reply to comment #17)
> Sometimes , Nepomuk will trigger ABRT. When it does happens, it happens on
> startup. For instance, after the recent update, Nepomuk triggered ABRT. I
> don't know much other than Nepomuk apparently does not trigger ABRT
> periodically.
>
  EDIT: I've noticed that Nepomuk only crashes when it has been indexing files the previous session. I noticed that Nepomuk was indexing files before I shut down my computer one night. Next session, Nepomuk crashes on startup. Maybe it could be possible so that Nepomuk is automatically suspended on shut down? That might fix this problem right here and there.
> 
> backtrace_rating: 4
> Package: nepomuk-core-4.9.2-2.fc17
> OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 Nick H. 2012-10-20 09:18:06 EDT
(In reply to comment #19)
> (In reply to comment #17)
> Sometimes , Nepomuk will trigger ABRT. When it does happens, it happens on
> startup. For instance, after the recent update, Nepomuk triggered ABRT. I
> don't know much other than Nepomuk apparently does not trigger ABRT
> periodically.
>
>   EDIT: I've noticed that Nepomuk only crashes when it has been indexing
> files the previous session. I noticed that Nepomuk was indexing files before
> I shut down my computer one night. Next session, Nepomuk crashes on startup.
> Maybe it could be possible so that Nepomuk is automatically suspended on
> shut down? That might fix this problem right here and there.
> 
> backtrace_rating: 4
> Package: nepomuk-core-4.9.2-2.fc17
> OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Kevin Kofler 2012-10-21 12:24:34 EDT
This is a crash in the destructors, it's actually happening during shutdown, not startup, it's just that ABRT gets no chance to report it to you until the next startup.
Comment 22 johnny.rengifo 2012-10-25 09:49:23 EDT
In the laptop start-up  this bug occur

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 23 Larry the Computer Guy 2012-10-30 15:30:16 EDT
i cannot remember, this sometimes goes unnoticed until it is too late, if i am afk

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 24 David W. Legg 2012-10-31 05:58:49 EDT
Just logged into kde and the abrt thing appeared and complained about nepomuk.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Alexander Ioannou 2012-11-02 11:37:18 EDT
It happened on startup.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 mat.enders 2012-11-11 11:16:58 EST
It just happened upon boot

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 mat.enders 2012-11-11 15:45:38 EST
It just happens at boot

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 Alexander Ioannou 2012-11-12 02:59:31 EST
System boot.

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 mat.enders 2012-11-17 00:07:05 EST
It just happens on boot up and login reproducable by booting up and logging in

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 mat.enders 2012-11-17 00:10:29 EST
just by booting up and logging in reproducable by booting up and logging in

backtrace_rating: 3
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 Karel Volný 2012-11-17 11:49:27 EST
just log into KDE

backtrace_rating: 4
Package: nepomuk-core-4.9.2-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 sahinsureyya 2012-11-19 08:01:52 EST
I am occasionally receiving this error during startup when I boot my computer.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 Frank Thrum 2012-11-20 12:47:19 EST
Just starting the system.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 34 sandra.kasander 2012-11-20 16:09:36 EST
Was installing drivers for Nvidea and now this happens evrytime I restart my pc.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 Karel Volný 2012-11-27 07:33:45 EST
start the computer

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 36 Karel Volný 2012-11-27 07:39:32 EST
just start the computer

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 37 Jean Leclerc 2012-11-27 09:39:45 EST
When I have restarted my PC.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 daramas444 2012-11-29 02:14:01 EST
Nepomuk crashes when I open my session

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 39 daramas444 2012-12-02 08:46:47 EST
Nepomuk crashes when the computer is started

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 40 Nikolas Moraitis 2012-12-02 15:20:31 EST
cold startup

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 41 Teploukhov 2012-12-03 10:11:04 EST
nepomuk service is not working correct after updating

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 42 Juan Manuel 2012-12-03 19:49:59 EST
Solo enciendo mi netbook y aparece este aviso!!! sucede cada vez que la enciendo... sin falta!

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 43 Karel Volný 2012-12-04 04:05:43 EST
... still the same ... just +1 to the statistics :)

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 44 Karel Volný 2012-12-06 05:19:18 EST
still the same

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 45 daramas444 2012-12-08 11:59:28 EST
I have this crash when I open my session

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 46 Dennis 2012-12-11 12:21:40 EST
I honestly don't know, this message appears after booting. It might have something to do with installing emesene, an application that accesses Windows Live Messenger.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 47 Joachim 2012-12-11 14:45:00 EST
When starting KDE at boot-up. This occurs each time.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 48 daramas444 2012-12-11 15:38:13 EST
Dennis I don't have emesene but I still get the error. I don't think it is specific to emesene being installed or not
Comment 49 Dennis 2012-12-12 12:18:14 EST
Yeah well, I already said I didn't know what caused it since I did alot before restart. When browsing through the comments it seems that updating Fedora might have caused this, since that's what I did as well before reloading Fedora.
Comment 50 Dennis 2012-12-12 15:02:08 EST
Ok. I updated my fedora 10 mins ago and it seems it's fixed.
Comment 51 Richard Foster 2012-12-15 19:35:17 EST
Not sure what specifically this problem related to. I have installed KDE from the add/remove software GUI and set KDE as the default window manager. Since then I've been configuring KDE to my tastes which has involved a lot of adding and deleting widgits. Occasionally this has caused KDE to crash, but this is not reliably repeatable.

backtrace_rating: 4
Package: nepomuk-core-4.9.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 52 Juan Manuel 2012-12-19 14:56:19 EST
Only to start the netbook.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 53 Frederick.Bartlett 2012-12-21 13:01:44 EST
Updated; rebooted; got error.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 54 pickman 2012-12-30 05:28:50 EST
At startup....

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 55 rons8 2013-01-02 11:29:10 EST
I was setting the Desktop up for different appearence settings and possibly other settings and all of a sudden the bug report pops up.  Do not really know what caused it.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 56 rons8 2013-01-02 12:01:01 EST
I was also running a single update and it kept that screen locked and busy all the while the Bugzilla Report was running, until I shut down Fedora that evening.  Restarted the next morning and Bugzilla Report completed.
Comment 57 Dennis 2013-01-02 12:20:31 EST
The thing you mentioned about Bugzilla Report being stuck I have this same thing sometimes. It is actually done but the GUI doesn't seem to get informed. I have the same thing with Apper sometimes when I update my system.
Comment 58 Bug Reporter 2013-01-05 07:26:42 EST
It happens again and again.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 59 daramas444 2013-01-06 16:32:00 EST
I get this crash when I open my session

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 60 Andy Coleman 2013-01-07 11:33:01 EST
Updated (update included kernel updates).

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 61 Bug Reporter 2013-01-09 04:44:22 EST
After system boot occured the crash.

backtrace_rating: 4
Package: nepomuk-core-4.9.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 62 Tomas Toth 2013-01-14 12:59:45 EST
Date/Time shows it was during shutdown.

backtrace_rating: 4
Package: nepomuk-core-4.9.5-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 63 Cristovao Rocha 2013-01-18 01:32:08 EST
In systems update in kde install using the command yum occoured this problem.

backtrace_rating: 4
Package: nepomuk-core-4.9.5-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 64 Hugo 2013-02-28 15:56:21 EST
Just on the start-up of the computer. It has been happening lately that nepomuk gives me an error when I turn on the computer, don't know exactly why

backtrace_rating: 4
Package: nepomuk-core-4.9.5-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 65 Fedora End Of Life 2013-07-03 19:09:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 66 Fedora End Of Life 2013-07-31 21:35:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.